# FoundationClasses
TKernel
NCollection

# NCollection_UBTree< TheObjType, TheBndType >::Selector Class Reference

`#include <NCollection_UBTree.hxx>`

## Public Member Functions

| Selector ()
virtual Standard_Boolean | Reject (const TheBndType &) const =0
virtual Standard_Boolean | Accept (const TheObjType &)=0
Standard_Boolean | Stop () const
virtual | ~Selector ()

## Protected Attributes

Standard_Boolean | myStop

## Detailed Description

### template<class TheObjType, class TheBndType>
class NCollection_UBTree< TheObjType, TheBndType >::Selector

Class defining the minimal interface of selector.

## Constructor & Destructor Documentation

template<class TheObjType, class TheBndType>
NCollection_UBTree< TheObjType, TheBndType >::Selector::Selector | ( |  | ) | `[inline]`

| Constructor

template<class TheObjType, class TheBndType>
virtual NCollection_UBTree< TheObjType, TheBndType >::Selector::~Selector | ( |  | ) | `[inline, virtual]`

| Destructor

## Member Function Documentation

template<class TheObjType, class TheBndType>
virtual Standard_Boolean NCollection_UBTree< TheObjType, TheBndType >::Selector::Accept | ( | const TheObjType & |  | ) | `[pure virtual]`

Confirm the object while making necessary tests on it. This method is called when the bounding box of the object conforms to the conditions (see Reject()). It is also supposed to keep record of accepted objects.

Returns:
  True if the object is accepted

template<class TheObjType, class TheBndType>
virtual Standard_Boolean NCollection_UBTree< TheObjType, TheBndType >::Selector::Reject | ( | const TheBndType & |  | ) | const`[pure virtual]`

Rejection base on the bounding type.

Returns:
  True if the bounding box does not conform to some selection conditions

template<class TheObjType, class TheBndType>
Standard_Boolean NCollection_UBTree< TheObjType, TheBndType >::Selector::Stop | ( |  | ) | const`[inline]`

This condition is checked after each call to Accept().

Returns:
  True signals that the selection process is stopped

## Field Documentation

template<class TheObjType, class TheBndType>
Standard_Boolean NCollection_UBTree< TheObjType, TheBndType >::Selector::myStop `[protected]`

| The method Accept() should set this flag if the selection process is to be stopped

The documentation for this class was generated from the following file:

- NCollection_UBTree.hxx